package others_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type CrossborderContractEndtimeRequest struct {
	// <ext>core:true;format:string</ext> 【跨境电子签约文件id】跨境电子签约文件id 【作用】 查询需设置文件到期日期的跨境电子签约文件 【传参】 电子签约文件id和第三方业务系统文件id必传其一，均传入以电子签约文件id为准。
	ContractId *int64 `json:"contractId,omitempty"`
	// <ext>core:true</ext> 【第三方业务系统文件id】第三方业务系统文件id 【作用】 查询需设置文件到期日期的跨境电子签约文件 【传参】 电子签约文件id和第三方业务系统文件id必传其一，均传入以电子签约文件id为准。
	BizId string `json:"bizId,omitempty"`
	// <ext>core:true;format:date</ext> 【文件到期日期】文件到期日期 【作用】 文件履行期限的截止日期，若超过此日期后，文件将标记为“已到期”。 【传参】 1、日期格式：yyyy-MM-dd。 2、传入日期必须晚于当前日期，，若传入2022-03-09，系统将在2022年3月9日的23时59分59秒将文件标记为“已到期”。
	EndTime string `json:"endTime"`
}

func (obj CrossborderContractEndtimeRequest) GetUrl() string {
	return "/cross-border/contract/endtime"
}

func (obj CrossborderContractEndtimeRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	parameter.AddParam("contractId", obj.ContractId)
	parameter.AddParam("bizId", obj.BizId)
	parameter.AddParam("endTime", obj.EndTime)
	return parameter
}
